#!/bin/sh

find . -name "*.orig" | while read ORIG
do
    FILE="${ORIG%*.orig}"

    SIZE=$(stat $ORIG | awk '{print $8}')
    if [ $SIZE -eq 0 ]
    then
        echo "full file: $FILE"
        continue
    fi
    diff -u $ORIG $FILE
done
